Bug 170500 - [RHEL 4] Anaconda mkswap labels confusing
[RHEL 4] Anaconda mkswap labels confusing
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2005-10-12 09:43 EDT by Brian Long
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0524
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reduce swap label from SWAP-device to SWPdevice (595 bytes, patch)
2005-12-18 20:32 EST, Brian Long
no flags Details | Diff

  None (edit)
Description Brian Long 2005-10-12 09:43:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
If i install RHEL 4 U2 on an HP Proliant server with CCISS hardware RAID and I specify two swap partitions, the labels Anaconda places on the swap partitions are  confusing:
LABEL=SWAP-cciss/c0d0p  swap                    swap    defaults        0 0
LABEL=SWAP-cciss/c0d01  swap                    swap    defaults        0 0

Anaconda appears to take the swap device (i.e. /dev/cciss/c0d0p3), prepend swap and cut off a few digits of the device to fit it into a 16-character space (I have read bug 127892).  If I run fdisk -l, I see two swap partitions:

Disk /dev/cciss/c0d0: 36.4 GB, 36413314560 bytes
255 heads, 63 sectors/track, 4427 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

           Device Boot      Start         End      Blocks   Id  System
/dev/cciss/c0d0p1   *           1          13      104391   83  Linux
/dev/cciss/c0d0p2              14        1057     8385930   83  Linux
/dev/cciss/c0d0p3            1058        1318     2096482+  82  Linux swap
/dev/cciss/c0d0p4            1319        4427    24973042+   5  Extended
/dev/cciss/c0d0p5            1319        1840     4192933+  82  Linux swap
/dev/cciss/c0d0p6            1841        2101     2096451   83  Linux
/dev/cciss/c0d0p7            2102        2362     2096451   83  Linux

I have no way to know if label SWAP-cciss/c0d0p is really c0d0p3 or p5.  To my knowledge, there is no equivalent to e2label I can run on an existing partition and extract the swap label.  mkswap -L is used to create the label only.

I would like to request that the label be condensed as much as possible such that the full c0d0p3 or c0d0p5 fits.  For example, SWAP could be reduced to SWP.  The - could be removed as well, making for LABEL=SWPcciss/c0d0p3 with one character to spare.

Version-Release number of selected component (if applicable):
anaconda-10.1.1.25-1

How reproducible:
Always

Steps to Reproduce:
1. Kickstart a machine.
2. Specify two or more swap partitions

  

Actual Results:  Swap labels are difficult to use in order to narrow down which label is which partition.

Expected Results:  Anaconda's swap labels should be shortened such that more of the actual device name fits in the 16-character limitation.

Additional info:
Comment 1 Brian Long 2005-12-18 20:32:32 EST
Created attachment 122389 [details]
Reduce swap label from SWAP-device to SWPdevice

This simple one-line patch allows me to have two swap devices on HP cciss
storage and know exactly which is which.  Here is a snippet from fstab:
LABEL=SWPcciss/c0d0p3	swap			swap	defaults	0 0
LABEL=SWPcciss/c0d0p7	swap			swap	defaults	0 0
Comment 7 Bob Johnson 2006-04-11 13:00:41 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Red Hat Bugzilla 2006-08-10 17:23:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0524.html

Note You need to log in before you can comment on or make changes to this bug.